{
  "name": "jdfstudy",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "vite",
    "server": "vite build --mode boe && vite preview ",
    "build": "vite build --mode release",
    "build:boe": "vite build --mode boe",
    "build:prod": "vite build --mode prod",
    "build:release": "vite build --mode release",
    "build:test": "vite build --mode test"
  },
  "dependencies": {
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "axios": "^1.1.3",
    "core-js": "^3.26.0",
    "dayjs": "^1.11.6",
    "element-plus": "^2.2.27",
    "json-bigint": "^1.0.0",
    "vue": "^3.2.45",
    "vue-router": "^4.1.6",
    "vuex": "^4.1.0"
  },
  "devDependencies": {
    "@babel/core": "^7.20.2",
    "@babel/eslint-parser": "^7.19.1",
    "@vitejs/plugin-legacy": "^2.3.1",
    "@vitejs/plugin-vue": "^3.2.0",
    "@vue/cli-plugin-babel": "~5.0.8",
    "@vue/cli-plugin-eslint": "~5.0.8",
    "@vue/cli-plugin-router": "~5.0.8",
    "@vue/cli-plugin-vuex": "~5.0.8",
    "@vue/cli-service": "~5.0.8",
    "ajv": "^8",
    "eslint": "^8.27.0",
    "eslint-plugin-vue": "^9.7.0",
    "mockjs": "^1.1.0",
    "sass": "^1.56.1",
    "sass-loader": "^13.2.0",
    "vite": "^3.2.3",
    "vite-plugin-imp": "^2.3.1",
    "vite-plugin-mock": "^2.9.6",
    "vite-plugin-style-import": "^2.0.0",
    "vite-plugin-top-level-await": "^1.2.1"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/vue3-essential",
      "eslint:recommended"
    ],
    "parserOptions": {
      "parser": "@babel/eslint-parser"
    },
    "rules": {}
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead",
    "not ie 11"
  ]
}
